<?php
/**
*
* @package PGC
* @version $Id: pgc_swatch.php  - v.0.0.1  -  2011/08/11 23:30:06 4seven $
* @copyright (c) 4seven / 2011
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

// @ignore
// $template->assign_var('S_AUTH_ACL_A', $auth->acl_get('a_') ? true : false);

if ($user->data['user_id'] != ANONYMOUS && !$user->data['is_bot']){

if ($auth->acl_get('a_')){

$pgc_id	    = request_var('pgc', 0);

$pgc_styles	= utf8_normalize_nfc(request_var('pgc_styles', '', true));
$pgc_styles = str_replace('|', '#', $pgc_styles);

$pgc_back	= utf8_normalize_nfc(request_var('pgc_back', '', true));
$pgc_back   = str_replace('|', '#', $pgc_back);

$pgc_border = utf8_normalize_nfc(request_var('pgc_border', '', true));
$pgc_border = str_replace(array('_','__'), array(' ','#'), $pgc_border);

$pgc_font = utf8_normalize_nfc(request_var('pgc_font', '', true));
$pgc_font = str_replace('|', ' ', $pgc_font);

$pgc_txt_bg = utf8_normalize_nfc(request_var('pgc_txt_bg', '', true));
$pgc_txt_bg = str_replace('|', '#', $pgc_txt_bg);

if (!empty($pgc_styles)){
				$sql = 'UPDATE ' . GROUPS_TABLE . "
					SET group_pgc_styles = '$pgc_styles$pgc_border$pgc_font', group_pgc_txt_bg = '$pgc_txt_bg'
					WHERE group_id =  '" . $db->sql_escape($pgc_id) . "'";
				$result = $db->sql_query($sql);
}

		$sqlx = 'SELECT group_id, group_name, group_colour
			FROM ' . GROUPS_TABLE . "
			WHERE group_name != 'GUESTS'
			AND group_name != 'BOTS'
			ORDER by group_id";
		$resultx = $db->sql_query($sqlx);
		$groupx  = $db->sql_fetchrowset($resultx);
	
foreach($groupx as $groupy){

switch ($groupy['group_name'])
{
	case 'REGISTERED':
    $groupy['group_name']  = $user->lang['G_REGISTERED'];	
	break;
	case 'REGISTERED_COPPA':
    $groupy['group_name']  = $user->lang['G_REGISTERED_COPPA'];	
	break;
	case 'GLOBAL_MODERATORS':
    $groupy['group_name']  = $user->lang['G_GLOBAL_MODERATORS'];	
	break;
	case 'ADMINISTRATORS':
    $groupy['group_name']  = $user->lang['G_ADMINISTRATORS'];	
	break;
	case 'NEWLY_REGISTERED':
    $groupy['group_name']  = $user->lang['G_NEWLY_REGISTERED'];	
	break;
	default:
    $groupy['group_name']  = $groupy['group_name'];		
}

			$template->assign_block_vars('group_block', array(
				'GROUP_ID'     => $groupy['group_id'],
				'GROUP_NAME'   => $groupy['group_name'],
				'GROUP_COLOUR' => $groupy['group_colour']
            ));
}		

        $db->sql_freeresult($resultx);	

		$sqlz = 'SELECT group_id, group_name, group_colour
			FROM ' . GROUPS_TABLE . "
			WHERE group_id = '" . $db->sql_escape($pgc_id) . "'";
		$resultz = $db->sql_query($sqlz);
		$groupz  = $db->sql_fetchrow($resultz);
        $db->sql_freeresult($resultz);	

switch ($groupz['group_name'])
{
	case 'REGISTERED':
    $groupz['group_name']  = $user->lang['G_REGISTERED'];	
	break;
	case 'REGISTERED_COPPA':
    $groupz['group_name']  = $user->lang['G_REGISTERED_COPPA'];	
	break;
	case 'GLOBAL_MODERATORS':
    $groupz['group_name']  = $user->lang['G_GLOBAL_MODERATORS'];	
	break;
	case 'ADMINISTRATORS':
    $groupz['group_name']  = $user->lang['G_ADMINISTRATORS'];	
	break;
	case 'NEWLY_REGISTERED':
    $groupz['group_name']  = $user->lang['G_NEWLY_REGISTERED'];	
	break;
	default:
    $groupz['group_name']  = $groupz['group_name'];		
}

		$sqls    = 'SELECT group_id, group_pgc_styles, group_pgc_txt_bg
			FROM ' . GROUPS_TABLE . "
			WHERE group_id = '" . $db->sql_escape($pgc_id) . "'";
		$results = $db->sql_query($sqls);
		$groups  = $db->sql_fetchrow($results);
        $db->sql_freeresult($results);	

if (!empty($pgc_styles)){	
	            $groups_id = $groups['group_id'];
				$sql = 'UPDATE ' . USERS_TABLE . "
					SET user_post_style = '$pgc_styles$pgc_font', user_back_style = '$pgc_back$pgc_border', user_txt_bg = '$pgc_txt_bg'
					WHERE group_id =  '" . $db->sql_escape($groups_id) . "'";
				$result = $db->sql_query($sql);				
}
	
$template->assign_vars(array(
	'PGC_ID'       => (!empty($groupz['group_id'])) ? $groupz['group_id'] : false,
	'PGC_NA'       => (!empty($groupz['group_name'])) ? $groupz['group_name'] : false,
	'PGC_CO'       => (!empty($groupz['group_colour'])) ? $groupz['group_colour'] : false,
	'S_PGC_ACTION' =>  append_sid("{$phpbb_root_path}adm/swatch_2.$phpEx", 'pgc=' . $pgc_id . '&amp;pgc_styles=' . $pgc_styles),
	'PGC_RESULT'   =>  $groups['group_pgc_styles'],
	'PGC_TXT_BG'   =>  $groups['group_pgc_txt_bg']	
));

page_header('Post Group Colour Swatch');

$template->set_filenames(array(
    'body' => 'pgc_swatch.html',
));

page_footer();

}
}

?>